petsc-3.7.1 2016-05-15
Report Typos and Errors

# MATAIJCRL

MATAIJCRL = "aijcrl" - A matrix type to be used for sparse matrices. This matrix type is identical to MATSEQAIJCRL when constructed with a single process communicator, Many brand MATMPIAIJCRL otherwise. As a result, for single process communicators, Many brMatSeqAIJSetPreallocation() is supported, and similarly MatMPIAIJSetPreallocation() is supported Many brfor communicators controlling multiple processes. It is recommended that you call both of Many brthe above preallocation routines for simplicity. Many br

### Options Database Keys

-mat_type aijcrl -sets the matrix type to "aijcrl" during a call to MatSetFromOptions() Many br

Many br

### See Also

MatCreateMPIAIJCRL,MATSEQAIJCRL,MATMPIAIJCRL, MATSEQAIJCRL, MATMPIAIJCRL

Level:beginner
Location:src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages